GreatWksBMParser Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
GreatWksBMParser Class Reference

the main class to read a GreatWorks paint file More...

`#include <GreatWksBMParser.hxx>`

Inheritance diagram for GreatWksBMParser:

## Public Member Functions
| GreatWksBMParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~GreatWksBMParser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGDrawingInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWGraphicParser
virtual | ~MWAWGraphicParser ()
| destructor More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
void | createDocument (librevenge::RVNGDrawingInterface *documentInterface)
| creates the listener which will be associated to the document More...
bool | createZones ()
| finds the different objects zones More...
bool | sendPicture ()
| try to send the main picture More...
Protected Member Functions inherited from MWAWGraphicParser
| MWAWGraphicParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWGraphicParser (MWAWParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
shared_ptr< GreatWksBMParserInternal::State > | m_state
| the state More...

## Detailed Description

the main class to read a GreatWorks paint file

v1: file are PNTG files, so there are parsed via the MacPaint parser v2: this is mainly a picture file with some application resources

## Constructor & Destructor Documentation

## ◆ GreatWksBMParser()

GreatWksBMParser::GreatWksBMParser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

## ◆ ~GreatWksBMParser()

GreatWksBMParser::~GreatWksBMParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ checkHeader()

bool GreatWksBMParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

no finder info, may be ok, but this means that we may have a basic pict file, so...

Implements MWAWParser.

Referenced by parse().

## ◆ createDocument()

void GreatWksBMParser::createDocument | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

## ◆ createZones()

bool GreatWksBMParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

## ◆ init()

void GreatWksBMParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by GreatWksBMParser().

## ◆ parse()

void GreatWksBMParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Implements MWAWGraphicParser.

## ◆ sendPicture()

bool GreatWksBMParser::sendPicture | ( |  | ) |
| protected

try to send the main picture

Referenced by parse().

## Member Data Documentation

## ◆ m_state

shared_ptr<GreatWksBMParserInternal::State> GreatWksBMParser::m_state
| protected

the state

Referenced by checkHeader(), createZones(), init(), and sendPicture().

The documentation for this class was generated from the following files:

- GreatWksBMParser.hxx
- GreatWksBMParser.cxx